Bug 1007914 - Do not place /boot on iSCSI if it is not possible to boot from it
Do not place /boot on iSCSI if it is not possible to boot from it
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.5
s390x All
medium Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
Clayton Spicer
:
Depends On:
Blocks: 972747
  Show dependency treegraph
 
Reported: 2013-09-13 10:44 EDT by Jan Stodola
Modified: 2017-09-14 08:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The /boot Partition May Be Created on Network Storage on IBM System z A known issue in Anaconda on IBM System z causes the /boot partition to be placed on an iSCSI disk if you do not explicitly configure this partition to be placed on a local drive (DASD). As a result, the system is unable to boot after the installation. To work around this issue, specify a local drive for your /boot partition. When configuring storage using Kickstart, use the 'part /boot --ondisk=<local drive>' command to create /boot. If you are performing a manual installation, select only local drives in the Allowable Drives section of the Add Partition dialog. Do not use automatic partitioning.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2013-09-13 10:44:16 EDT
Description of problem:
Anaconda creates /boot partition on iSCSI disk when running installation with following partitioning:

iscsiname iqn-2012-12.com.nb:for.all
iscsi --ipaddr=10.16.67.175 --target=iqn.2012-01.com.example:for.all 
zerombr
bootloader --location=mbr
zerombr
clearpart --all --initlabel
part /boot --size=500
part swap --fstype=swap --recommended
part / --grow --size=2048 --ondisk=/dev/disk/by-id/scsi-1IET_00010001

Partitioning created by anaconda:
[anaconda root@rtt6 root]# mount | grep sysimage
/dev/sda2 on /mnt/sysimage type ext4 (rw,seclabel,relatime,barrier=1,data=ordered)
/dev/sda1 on /mnt/sysimage/boot type ext4 (rw,seclabel,relatime,barrier=1,data=ordered)
none on /mnt/sysimage/dev type tmpfs (rw,seclabel,relatime)
/dev/devpts on /mnt/sysimage/dev/pts type devpts (rw,seclabel,relatime,gid=5,mode=620,ptmxmode=000)
/dev/tmpfs on /mnt/sysimage/dev/shm type tmpfs (rw,seclabel,relatime)
/dev/proc on /mnt/sysimage/proc type proc (rw,relatime)
/dev/sysfs on /mnt/sysimage/sys type sysfs (rw,seclabel,relatime)
/selinux on /mnt/sysimage/selinux type selinuxfs (rw,relatime)

Besides the iSCSI LUN, there are three DASD disks in the system:
[anaconda root@rtt6 root]# lsdasd 
Bus-ID     Status      Name      Device  Type  BlkSz  Size      Blocks
==============================================================================
0.0.3726   active      dasda     94:0    ECKD  4096   2347MB    601020
0.0.3626   active      dasdb     94:4    ECKD  4096   2347MB    601020
0.0.3026   active      dasdc     94:8    ECKD  4096   2347MB    601020

But only one DASD is used (for swap):
[anaconda root@rtt6 root]# swapon -s            
Filename                                Type            Size    Used    Priority
/dev/dasdc1                             partition       1769464 0       -1

So, there are two problems:
1) since it is not possible to boot from iSCSI disk on s390x, anaconda should not place /boot on iSCSI if there are DASD/FCP drives available
2) although "--grow" was used for rootfs, anaconda didn't use whole available space on the iSCSI for it. There were three DASD drives available for /boot partition

Version-Release number of selected component (if applicable):
anaconda-13.21.204-1.el6

How reproducible:
always

Steps to Reproduce:
1. run installation with attached kickstart on an s390x system with at least one DASD/FCP drive

Actual results:
/boot is placed on iSCSI, system will not boot

Expected results:
/boot is not placed on iSCSI if there are DASD/FCP drives available
Comment 7 RHEL Product and Program Management 2013-10-13 22:11:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 Stephen Gilson 2015-04-16 13:53:11 EDT
Engineering and Product Management along with CCS have determined that this bug should be described in the RHEL 6.7 Release Notes. 

Please update the Doc Text field with a description following the Cause Consequence Workaround Result model by April 22.

Note You need to log in before you can comment on or make changes to this bug.